---
editUrl: false
next: false
prev: false
title: "Transient"
---

> **Transient**\<`T`\>: () => () => `T`

Type to annotate that something is transient. 
Every time this is called, a new object is created

## Type parameters

• **T**

## Returns

`Function`

### Returns

`T`

## Source

[src/types/ioc.ts:12](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L12)
